@import "var.scss";

.transition_ease {
    transition: 0.5s ease;
    -webkit-transition: 0.5s ease;
}

.hotline--fillter {
    .hotline--fillter__btn {
        display: none !important
    }
}

// ================= Product Detail==================
.page-detail {
    .sticky {
        top: 94px
    }

    .swiper-slide {
        .thumb_img {
            padding-bottom: 100%;
        }
    }

    .list-gallery {
        display: flex;
        justify-content: center;
        margin: 0 -5px;

        .items {
            width: 117px;
            margin: 0 5px;
        }

        .thumb_img {
            box-shadow: 0px 3px 6px rgba(0, 0, 0, 0.129);
            background: #CACACA;
            border-radius: 3px;
            padding-bottom: 76.07%;
            transition: 0.3s ease;

            &:hover {
                box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.3);
            }
        }
    }

    .title_mobile {
        display: none
    }

    .title-product {
        font-size: 32px;
        font-weight: bold;
        line-height: 1.3;
        color: var(--black);
        display: inline-block;
    }

    .code {
        display: inline-block;
        font-size: 14px;
        font-weight: 600;
        text-transform: uppercase;
    }

    .view-more {
        margin-top: 5px;
        display: inline-block;
        color: var(--dark_gray);
        font-weight: 500;

        svg {
            width: 14px;
            height: 14px;
        }
    }

    hr {
        border-top: 1px solid var(--gray100);
        margin: 24px 0 16px 0;
    }

    .lable-title {
        font-weight: 600;
        font-size: 20px;
        margin-bottom: 8px;
    }

    .border.radius {
        border: 2px solid var(--gray100);
        padding: 16px;
        border-radius: 5px;
        margin-bottom: 8px;
        @extend .transition_ease;

        hr {
            margin: 20px 0;
        }

        &:hover {
            border: 2px solid var(--color_main);
        }
    }

    .price {
        color: #D4002B;

        .iconfont-tag {
            margin-right: 4px;
        }

        &.tag {
            text-align: right;
        }
    }
}

.productdetail {
    .border-bottom {
        margin-bottom: 32px;
        padding-bottom: 20px;
        border-bottom: 1px solid var(--gray100);
    }

    &__thumb {
        width: 534px;
    }

    &__info {
        width: 690px;
        width: calc(100% - 534px);
        font-size: 14px;
        position: relative;
        padding-left: 90px;
        line-height: 1.5;
    }

    .flex_2 {
        justify-content: space-between;

        .description {
            width: 287px;
        }

        .service {
            width: 262px;
            border: 1px solid var(--gray100);

            &:hover {
                border: 1px solid var(--color_main);
            }

            .lable-title {
                margin-bottom: 8px;
            }

            ul {
                padding-left: 16px;

                li {
                    list-style-type: disc;
                    margin-bottom: 3px;
                }
            }

            hr {
                margin: 15px 0;
            }
        }
    }

    .vote {
        align-items: center;
        margin-bottom: 40px;

        span {
            margin: 4px 5px 0 0;
            font-weight: 600;
        }

        ul {
            li {
                display: inline-block;

                svg {
                    width: 20px;
                    height: 20px;
                }

                &.active {
                    svg {
                        color: var(--color_main)
                    }
                }
            }
        }

        .line {
            text-decoration: underline;
            text-underline-position: under;
            margin-left: 16px;
        }
    }

    .changer_color {
        margin-top: 34px;

        ul {
            display: flex;

            li {
                display: inline-block;
                margin: 8px 8px 0 0;
                border: 1px solid var(--gray100);
                border-radius: 2px;

                a {
                    display: block;
                    width: 40px;
                    height: 40px;
                }

                &.active {
                    border: 1px solid var(--color_main);
                }
            }
        }
    }

    p {
        margin-bottom: 4px;
    }

    .qua-tang {
        .icon-svg {
            width: 20px;
            height: 20px;
            vertical-align: text-bottom;
            margin-right: 2px;
        }
    }

    .flex_coutdown {
        justify-content: space-between;
        font-size: 16px;
        font-weight: 600;
    }

    @media (max-width: 1280px) {
        .title-product {
            font-size: 20px;
        }

        &__info {
            padding-left: 20px;
        }
    }

    @media (max-width: 1100px) {
        .flex_2 {
            .description {
                width: 100%;
                margin-bottom: 16px;
            }

            .service {
                width: 100%;
            }
        }

        .changer_color {
            margin-top: 16px;
        }
    }

    @media (max-width: 991px) {
        &__thumb {
            width: 300px;

            .slideshow {
                width: 300px;
                height: 231px;

                .swiper-button-prev,
                .swiper-button-next {
                    width: 20px;
                    height: 20px;
                    line-height: 20px;
                    left: 10px;

                    &::before,
                    &::after {
                        width: 20px;
                        height: 20px;
                        line-height: 20px;
                        font-size: 20px;
                    }
                }

                &__thumbs {
                    width: 40px;
                    margin: 0;
                    padding: 0;

                    &::before,
                    &::after {
                        display: none
                    }
                }

                &__gallery {
                    width: calc(100% - 40px);
                    padding-left: 8px;
                }
            }
        }

        &__info {
            width: calc(100% - 300px);
        }
    }

    @media (max-width: 767px) {
        &__thumb {
            width: 100%;
            margin-bottom: 24px;

            .slideshow {
                width: 231px;
                height: 295px;
                margin: 0 auto;
                display: flex;
                flex-wrap: wrap;

                .swiper-button-prev,
                .swiper-button-next {
                    display: none
                }

                &__thumbs {
                    width: 232px;
                    margin: 0 -2px;
                    order: 2;

                    &-slide {
                        height: 40px;
                        padding: 0;
                        overflow: hidden;
                    }
                }

                &__gallery {
                    order: 1;
                    width: 100%;
                    padding-left: 0;
                }
            }
        }

        &__info {
            width: 100%;
            padding-left: 0;
        }

        .title_mobile {
            display: block
        }

        .title_pc {
            display: none;
        }
    }
}

.cau_hinh {
    font-size: 16px;

    .flex {
        justify-content: space-between;
    }

    label.txt_12 {
        font-weight: 600;
        display: block;
        margin-bottom: 10px;
    }

    .tag {
        color: #fff;
        height: 28px;
        line-height: 28px;
        padding: 0 14px;
    }
}

.min-container {
    margin: 0 auto
}

.content-bottom {
    margin-bottom: 30px;
    color: #000;
    font-size: 16px;

    p {
        line-height: 1.5;
        margin-bottom: 20px;
    }

    .tong-quan {

        border-bottom: 1px solid var(--gray100);
        padding-bottom: 20px;
        margin-bottom: 40px;

        .Images {
            margin-bottom: 20px;

            img {
                max-width: 100%;
                width: 100%;
                height: 100%;
            }
        }
    }

    .has-toggle {
        max-height: 790px;
        overflow: hidden;
    }

    .view-full {
        text-align: center;
        position: relative;
        z-index: 2;
        padding: 45px 0 20px;
        margin-top: -45px;
        cursor: pointer;
        background-image: linear-gradient(to bottom, rgba(255, 255, 255, 0.6), rgba(255, 255, 255, 0.7), rgba(255, 255, 255, 0.8), rgba(255, 255, 255, 0.9), #fff);

        a {
            height: 48px;
            line-height: 48px;
            display: inline-block;
            color: var(--dark_gray);
            font-size: 16px;
            padding: 0 40px;
            font-weight: 600;
            border-radius: 56px;
            border: 1px solid var(--dark_gray);
        }

        &.view-less {
            margin-top: 0;
            background-image: none;
            padding: 0;
        }

        &:hover {
            a {
                color: $color2-hover;
            }
        }
    }
}

.sticky_detail {
    background: #FBFBFB;
    padding: 30px 0;
    position: fixed;
    bottom: 0;
    z-index: 98;
    left: 0;
    right: 0;
    box-shadow: 0px 0px 7px var(--gray200);

    .container {
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
    }

    &__hotline {
        span {
            font-size: 14px;
            color: #171C27;
            opacity: 0.5;
            font-weight: 500;
        }

        strong {
            color: var(--dark_gray);
            font-size: 24px;
            font-weight: 600;
            display: block;
        }
    }

    &__right {
        .sticky_detail__btn {
            display: flex;
            align-items: center;
        }

        .price {
            font-size: 14px;
            margin-bottom: 8px;
            color: var(--gray500);

            strong {
                color: var(--red);
                font-size: 28px;
            }

            .btn-default {
                width: 212px;
                display: none;
                margin: 0;
            }
        }

        .price_old {
            display: block;
            color: var(--gray500);
            font-size: 14px;
            text-decoration: line-through;
        }

        .like {
            margin-right: 8px;

            svg {
                width: 20px;
                height: 20px;
            }

            &.active,
            &:hover {
                color: var(--color_main)
            }
        }

        .btn-default {
            height: 56px;
            line-height: 56px;
            font-size: 18px;
            margin-left: 8px;
        }

        .add-compare {
            background: #fff;
            border: 1px solid var(--dark_gray);
        }
    }


    @media (max-width: 991px) {
        padding: 16px 0;
        bottom: inherit;
        top: 0;
        z-index: 999;
        display: none;

        &__hotline {
            display: none;
        }

        &__right {
            width: 100%;

            .price {
                margin-bottom: 0px;

                strong {
                    font-size: 20px
                }
            }
        }

        .sticky_detail__btn {
            display: block;
            width: 100%;

            a {
                &:last-child {
                    margin-bottom: 0;
                }
            }
        }

        .like {
            float: right;
            margin: 18px 0 0 0;
        }

        .btn-default {
            height: 36px;
            line-height: 36px;
            font-size: 14px;
            margin: 10px 10px 0 0;
            padding: 0 10px;
        }
    }
}


// ================= End Product Detail==================

@media (max-width: 767px) {
    .page-detail {
        overflow: hidden;
    }
}

@media (max-width: 480px) {
    .productdetail .flex_2 .service .lable-title {
        font-size: 16px
    }

    .page-detail {
        .lable-title {
            font-size: 16px
        }

        .border-bottom,
        .tong-quan {
            padding-bottom: 10px;
            margin-bottom: 16px;
        }

        .title-product {
            margin-bottom: 0 !important;
        }

        .code {
            display: block
        }
    }
}